COBRA-CLI(1)

NAME

cobra-cli - A generator for Cobra-based Go Applications

SYNOPSIS

cobra-cli [command]

DESCRIPTION

Cobra is a CLI library for Go that empowers applications. This application is a tool to generate the needed files to quickly create a Cobra application.

AVAILABLE COMMANDS

add Add a command to a Cobra Application

completion
    Generate the autocompletion script for the specified shell

help
    Help about any command

init
    Initialize a Cobra Application

OPTIONS

-a, --author string
    author name for copyright attribution (default “YOUR NAME”)

--config string
    config file (default is $HOME/.cobra.yaml)

-h, --help
    help for cobra-cli

-l, --license string
    name of license for the project

--viper
    Use Viper for configuration

SEE ALSO

cobra-cli-add(1), cobra-cli-init(1)